public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Haelwenn Monnier" <contact@hacktivis.me>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-text/smu/
Date: Tue,  7 Sep 2021 02:58:54 +0000 (UTC)	[thread overview]
Message-ID: <1630974770.77b631651a08f839e07ae5db0491d14ccfb6be75.lanodan@gentoo> (raw)

commit:     77b631651a08f839e07ae5db0491d14ccfb6be75
Author:     Nickolas Raymond Kaczynski <nrk <AT> disroot <DOT> org>
AuthorDate: Tue Sep  7 00:32:50 2021 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue Sep  7 00:32:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=77b63165

app-text/smu: initial import

Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Nickolas Raymond Kaczynski <nrk <AT> disroot.org>

 app-text/smu/Manifest        |  1 +
 app-text/smu/metadata.xml    | 10 ++++++++++
 app-text/smu/smu-1.5.ebuild  | 31 +++++++++++++++++++++++++++++++
 app-text/smu/smu-9999.ebuild | 31 +++++++++++++++++++++++++++++++
 4 files changed, 73 insertions(+)

diff --git a/app-text/smu/Manifest b/app-text/smu/Manifest
new file mode 100644
index 000000000..45f7f7124
--- /dev/null
+++ b/app-text/smu/Manifest
@@ -0,0 +1 @@
+DIST smu-1.5.tar.gz 8552 BLAKE2B 1539c32c1a3a63d47541d226de5b60946d0cb85460fa01e8f9562f82aa546f2815403027932e5d18d875f6c54db181354cb0a5036369f2b8519c0af6033f61b4 SHA512 243f6896e34acf3a21dc5b55e4aa0f99bf417917b20716d3e9997a33320e7151ecc9e889e26d87bd7be3da38b964ed496e149a7d0e4236124e000d030939a8d4

diff --git a/app-text/smu/metadata.xml b/app-text/smu/metadata.xml
new file mode 100644
index 000000000..7b84464c5
--- /dev/null
+++ b/app-text/smu/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>nrk@disroot.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">Gottox/smu</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/app-text/smu/smu-1.5.ebuild b/app-text/smu/smu-1.5.ebuild
new file mode 100644
index 000000000..dee873a6c
--- /dev/null
+++ b/app-text/smu/smu-1.5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Gottox/${PN}.git"
+else
+	KEYWORDS="~amd64"
+	SRC_URI="https://github.com/Gottox/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+DESCRIPTION="Simple markup - markdown like syntax"
+HOMEPAGE="https://github.com/Gottox/smu"
+
+LICENSE="MIT"
+SLOT="0"
+
+src_prepare() {
+	default
+	sed -i \
+		-e '/^CFLAGS/ s|-g -O0 ||;s|-Werror ||;s|^CFLAGS =|CFLAGS +=|;' \
+		-e '/^LDFLAGS/ s|^LDFLAGS =|LDFLAGS +=|' \
+		config.mk || die "sed failed"
+}
+
+src_install() {
+	emake PREFIX="${EPREFIX}/usr" DESTDIR="${ED}" install
+	dodoc "documentation"
+}

diff --git a/app-text/smu/smu-9999.ebuild b/app-text/smu/smu-9999.ebuild
new file mode 100644
index 000000000..72ebfc1d5
--- /dev/null
+++ b/app-text/smu/smu-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Gottox/smu.git"
+else
+	SRC_URI="https://github.com/Gottox/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Simple markup - markdown like syntax"
+HOMEPAGE="https://github.com/Gottox/smu"
+
+LICENSE="MIT"
+SLOT="0"
+
+src_prepare() {
+	default
+	sed -i \
+		-e '/^CFLAGS/ s|-g -O0 ||;s|-Werror ||;s|^CFLAGS =|CFLAGS +=|;' \
+		-e '/^LDFLAGS/ s|^LDFLAGS =|LDFLAGS +=|' \
+		config.mk || die "sed failed"
+}
+
+src_install() {
+	emake PREFIX="${EPREFIX}/usr" DESTDIR="${ED}" install
+	dodoc "documentation"
+}


             reply	other threads:[~2021-09-07  2:59 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-07  2:58 Haelwenn Monnier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-09-08 15:20 [gentoo-commits] repo/proj/guru:master commit in: app-text/smu/ Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1630974770.77b631651a08f839e07ae5db0491d14ccfb6be75.lanodan@gentoo \
    --to=contact@hacktivis.me \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox